# === Iterative Solvers: ==========================================
# = LS, CG, CGX, CGNE, BiCGStab, BiCGStab2, GMRES, MINRES, TestDG =
# =                                                               =
# === Direct Solvers: =============================================
# = SuperLU, SuperLU_local, LIB_PS, PS                            =
# =                                                               =
# === Preconditioners: ============================================
# = Jacobi, PointBlockJacobi, PointBlockJacobi_dG, DampedJacobi,  =
# = GaussSeidel, PointBlockGaussSeidel, SSOR, SGS, UMF            =
# =================================================================


EulerReAssemble = 0;

SetSolution = 0;

# === Linear Solver === #
LinearSolver = gmres;
LinearEpsilon = 1e-8;
LinearReduction = 1e-8;
LinearReduction = 1e-11;
LinearSteps = 10000;
BasePreconditioner = GaussSeidel;
Preconditioner = GaussSeidel;
Preconditioner = LIB_PS;

# =================================================================
# === Gating Solver ===============================================
GatingSolver = gmres;
GatingPreconditioner = GaussSeidel;
GatingEpsilon = 1e-8;
GatingReduction = 1e-12;

# === Elphy Solver ================================================
ElphySolver = gmres;
ElphyPreconditioner =Jacobi# WICHTIG: Mit SuperLU funktioniert die Parallelisierung nicht richtig!;
#ElphyPreconditioner LIB_PS;
ElphyEpsilon = 1e-8;
ElphyReduction = 1e-12;

# === Stretch Solver ==============================================
StretchSolver = gmres;
StretchPreconditioner = GaussSeidel;
StretchEpsilon = 1e-8;
StretchReduction = 1e-12;

# === Mechanics Solver ============================================
MechSolver = gmres
MechPreconditioner = GaussSeidel;
MechEpsilon = 1e-8;
MechReduction = 1e-12;
MechSteps = 10000;

# === Newton Method === #
NewtonEpsilon = 1e-6;
NewtonReduction = 1e-12;
NewtonSteps = 30;
NewtonLineSearchSteps = 5;
NewtonLinearizationReduction = 1e-12;



Smoother = GaussSeidel;
#Smoother = SuperLU;
#SmootherDamp = 0.8;

presmoothing = 3;
postsmoothing = 3;

Overlap = NoOverlap
Overlap_Distribution = 0

DebugLevel = 0;
TimeLevel = 0;
#gnuplot  = 1;
precision = 10;